SOSLabel (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sos.SOSLabel,SOSLabel class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sos
Class SOSLabel

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.sos.SOS
                        |
                        +--org.apache.tools.ant.taskdefs.optional.sos.SOSLabel

All Implemented Interfaces:
  SOSCmd

public class SOSLabel
extends SOS

Labels Visual SourceSafe files via a SourceOffSite server.

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.sos.SOS
`commandLine`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Fields inherited from interface org.apache.tools.ant.taskdefs.optional.sos.SOSCmd
`COMMAND_CHECKIN_FILE, COMMAND_CHECKIN_PROJECT, COMMAND_CHECKOUT_FILE, COMMAND_CHECKOUT_PROJECT, COMMAND_GET_FILE, COMMAND_GET_PROJECT, COMMAND_HISTORY, COMMAND_LABEL, COMMAND_SOS_EXE, FLAG_COMMAND, FLAG_COMMENT, FLAG_FILE, FLAG_LABEL, FLAG_NO_CACHE, FLAG_NO_COMPRESSION, FLAG_PASSWORD, FLAG_PROJECT, FLAG_RECURSION, FLAG_SOS_HOME, FLAG_SOS_SERVER, FLAG_USERNAME, FLAG_VERBOSE, FLAG_VERSION, FLAG_VSS_SERVER, FLAG_WORKING_DIR, PROJECT_PREFIX`

Constructor Summary
`SOSLabel()`

Method Summary
`protected Commandline` | `buildCmdLine()` Build the command line AddLabel required parameters: -server -name -password -database -project -label AddLabel optional parameters: -verbose -comment
`void` | `setComment(java.lang.String comment)` The comment to apply to all files being labelled.
`void` | `setLabel(java.lang.String label)` The label to apply the the files in SourceSafe.
`void` | `setVersion(java.lang.String version)` The version number to label.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.sos.SOS
`execute, getComment, getFilename, getLabel, getLocalPath, getNoCache, getNoCompress, getOptionalAttributes, getPassword, getProjectPath, getRecursive, getRequiredAttributes, getSosCommand, getSosHome, getSosServerPath, getUsername, getVerbose, getVersion, getVssServerPath, run, setInternalComment, setInternalFilename, setInternalLabel, setInternalRecursive, setInternalVersion, setLocalPath, setNoCache, setNoCompress, setPassword, setProjectPath, setSosCmd, setSosHome, setSosServerPath, setUsername, setVerbose, setVssServerPath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOSLabel

    public SOSLabel()

Method Detail

### setVersion

    public void setVersion(java.lang.String version)

  The version number to label.

  Parameters:
    `version` - The new version value

### setLabel

    public void setLabel(java.lang.String label)

  The label to apply the the files in SourceSafe.

  Parameters:
    `label` - The new label value

### setComment

    public void setComment(java.lang.String comment)

  The comment to apply to all files being labelled.

  Parameters:
    `comment` - The new comment value

### buildCmdLine

    protected Commandline buildCmdLine()

  Build the command line
  AddLabel required parameters: -server -name -password -database -project -label
  AddLabel optional parameters: -verbose -comment

  Overrides:
    `buildCmdLine` in class `SOS`
  Returns:
    Commandline the generated command to be executed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.